Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-xtermcolor
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Created by pyp2rpm-0.5.0
%global pypi_name xtermcolor
%global with_python3 1

Name:           python-module-xtermcolor
Version:        1.3
Release:        alt1_14
Summary:        Python module for colorizing output with xterm 256 color support

License:        MIT
URL:            http://pypi.python.org/pypi/xtermcolor/%{version}
Source0:        http://pypi.python.org/packages/source/x/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# I already asked upstream to put LICENSE in the source archive:
# https://github.com/broadinstitute/xtermcolor/issues/1
Source1:        https://raw.github.com/broadinstitute/xtermcolor/master/LICENSE
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
%endif

%global _description\
Python module for colorizing output with xterm 256 color support.
Source44: import.info

%description 

%_description
%if 0%{?with_python3}
%package -n python3-module-xtermcolor
Group: Other
Summary:        Python module for colorizing output with xterm 256 color support

%description -n python3-module-xtermcolor
Python module for colorizing output with xterm 256 color support.
This package contains Python 3 build of xtermcolor.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
cp %{SOURCE1} .
# delete distribute setup, we don't need it
sed -i '/distribute_setup/d' setup.py

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif # with_python3

%build
%python_build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/{,python3-}xtermcolor
popd
%endif # with_python3

%python_install

%files -n python-module-xtermcolor
%doc LICENSE
%{_bindir}/xtermcolor
%{python_sitelibdir_noarch}/%{pypi_name}
%{python_sitelibdir_noarch}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-module-xtermcolor
%doc LICENSE
%{_bindir}/python3-xtermcolor
%{python3_sitelibdir_noarch}/%{pypi_name}
%{python3_sitelibdir_noarch}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%changelog
* Sat Mar 02 2019 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_14
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_2
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_1
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_3
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1_2
- initial fc import

